package cn.com.infosec.crypto.params;

import java.math.BigInteger;

public class DHPrivateKeyParameters extends DHKeyParameters {
   private BigInteger x;

   public DHPrivateKeyParameters(BigInteger x, DHParameters params) {
      super(true, params);
      this.x = x;
   }

   public BigInteger getX() {
      return this.x;
   }

   public int hashCode() {
      return this.x.hashCode() ^ super.hashCode();
   }

   public boolean equals(Object obj) {
      if (!(obj instanceof DHPrivateKeyParameters)) {
         return false;
      } else {
         return ((DHPrivateKeyParameters)obj).getX().equals(this.x) && super.equals(obj);
      }
   }
}
